Skip to main content
PATCH
/
auth
/
notifications
Update notification preferences
curl --request PATCH \
  --url https://api.engagefabric.com/auth/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAlerts": true,
  "weeklyDigest": true,
  "playerActivity": false,
  "questCompletions": true,
  "securityAlerts": true
}
'
{
  "id": "<string>",
  "emailAlerts": true,
  "weeklyDigest": true,
  "playerActivity": true,
  "questCompletions": true,
  "securityAlerts": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token for admin console authentication

Body

application/json
emailAlerts
boolean

Receive important updates via email

Example:

true

weeklyDigest
boolean

Get a weekly summary of project activity

Example:

true

playerActivity
boolean

Get notified when players reach milestones

Example:

false

questCompletions
boolean

Receive alerts when quests are completed

Example:

true

securityAlerts
boolean

Important security notifications (recommended)

Example:

true

Response

Notification preferences updated successfully

id
string
required

Notification preferences ID

emailAlerts
boolean
required

Receive important updates via email

weeklyDigest
boolean
required

Get a weekly summary of project activity

playerActivity
boolean
required

Get notified when players reach milestones

questCompletions
boolean
required

Receive alerts when quests are completed

securityAlerts
boolean
required

Important security notifications

createdAt
string<date-time>
required

Created timestamp

updatedAt
string<date-time>
required

Updated timestamp